Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class AbstractXmlDriver

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlDriver

All Implemented Interfaces:
  HierarchicalStreamDriver

Direct Known Subclasses:
  Dom4JDriver, DomDriver, JDomDriver, StaxDriver, XomDriver, XppDomDriver, XppDriver

    public abstract class AbstractXmlDriver

extends Object
implements HierarchicalStreamDriver

Base class for HierarchicalStreamDrivers to use xml-based HierarchicalStreamReader and HierarchicalStreamWriter.

Since:
  1.2
Author:
  Mauro Talevi

Constructor Summary
`AbstractXmlDriver()` Creates a AbstractXmlFriendlyDriver with default XmlFriendlyReplacer
`AbstractXmlDriver(XmlFriendlyReplacer replacer)` Creates a AbstractXmlFriendlyDriver with custom XmlFriendlyReplacer

Method Summary
`protected XmlFriendlyReplacer` | `xmlFriendlyReplacer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.thoughtworks.xstream.io.HierarchicalStreamDriver
`createReader, createReader, createWriter, createWriter`

Constructor Detail

### AbstractXmlDriver

    public AbstractXmlDriver()

  Creates a AbstractXmlFriendlyDriver with default XmlFriendlyReplacer

### AbstractXmlDriver

    public AbstractXmlDriver(XmlFriendlyReplacer replacer)

  Creates a AbstractXmlFriendlyDriver with custom XmlFriendlyReplacer

  Parameters:
    `replacer` - the XmlFriendlyReplacer

Method Detail

### xmlFriendlyReplacer

    protected XmlFriendlyReplacer xmlFriendlyReplacer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.